Bug 461386 - Review Request: perl-Class-Method-Modifiers - Provides Moose-like method modifiers
Review Request: perl-Class-Method-Modifiers - Provides Moose-like method modi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Class-Met...
:
Depends On:
Blocks: perl-Mouse
  Show dependency treegraph
 
Reported: 2008-09-07 00:02 EDT by Chris Weyl
Modified: 2010-09-01 15:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 14:36:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-09-07 00:02:36 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Class-Method-Modifiers-1.01-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Class-Method-Modifiers.spec

Description:
Method modifiers are a powerful feature from the CLOS (Common Lisp Object
System) world.

In its most basic form, a method modifier is just a method that calls
'$self->SUPER::foo(@_)'. I for one have trouble remembering that exact
invocation, so my classes seldom re-dispatch to their base classes. Very
bad!

'Class::Method::Modifiers' provides three modifiers: 'before', 'around',
and 'after'. 'before' and 'after' are run just before and after the method
they modify, but can not really affect that original method. 'around' is
run in place of the original method, with a hook to easily call that
original method. See the 'MODIFIERS' section for more details on how the
particular modifiers work.
Comment 1 Chris Weyl 2008-09-07 00:03:33 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=811444

=====> perl-Class-Method-Modifiers-1.01-1.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Class-Method-Modifiers-1.01-1.fc9.noarch.rpm
perl(Class::Method::Modifiers) = 1.01
perl-Class-Method-Modifiers = 1.01-1.fc9
====> requires for perl-Class-Method-Modifiers-1.01-1.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(MRO::Compat)  
perl(base)  
perl(strict)  
perl(warnings)
Comment 2 Jason Tibbitts 2008-09-07 12:58:28 EDT
These could almost be machine-reviewed....

* source files match upstream:
   ce22a834bbe79e2ff5c01709becffaf0c9a7d71b3bd94b2e07b611fe4f0375be  
   Class-Method-Modifiers-1.01.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Class::Method::Modifiers) = 1.01
   perl-Class-Method-Modifiers = 1.01-1.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(MRO::Compat)
   perl(base)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
  All tests successful.
  Files=25, Tests=115,  1 wallclock secs ( 0.06 usr  0.04 sys +  0.56 cusr  
   0.11 csys =  0.77 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Chris Weyl 2008-09-07 14:21:30 EDT
New Package CVS Request
=======================
Package Name: perl-Class-Method-Modifiers
Short Description: Provides Moose-like method modifiers
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-09-08 11:26:42 EDT
cvs done.
Comment 5 Chris Weyl 2008-09-08 14:36:33 EDT
Imported and building.  Thanks for the review! :)
Comment 6 Mark Chappell 2010-08-30 14:25:17 EDT
Package Change Request
======================
Package Name: perl-Class-Method-Modifiers
New Branches: EL-6
Owners: tremble    

cweyl has previously suggested he's happy for us to branch for el
https://bugzilla.redhat.com/show_bug.cgi?id=191622
Comment 7 Kevin Fenzi 2010-09-01 15:11:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.